Bug 879928 (rigsofrods)

Summary: Review Request: rigsofrods - Vehicle simulator based on soft-body physics
Product: [Fedora] Fedora Reporter: Pavel Alexeev <pahan>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: i, package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-28 00:48:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 805246, 873353, 879931, 879932, 879933, 880364, 1215414, 1296489    
Bug Blocks:    

Description Pavel Alexeev 2012-11-25 15:22:37 UTC
Spec URL: http://hubbitus.info/rpm/Fedora17/rigsofrods/rigsofrods.spec
SRPM URL: http://hubbitus.info/rpm/Fedora17/rigsofrods/rigsofrods-0.4.0.4-2.fc17.src.rpm
Description:
Rigs of Rods is an open source vehicle simulator licensed under the GNU General
Public License version 3. What makes Rigs of Rods different to most simulators
is its unique soft-body physics: vehicles, machines, objects, etc. are simulated
in real-time as flexible soft-body objects, giving the simulation an extremely
accurate behavior which entirely depends on the physical construction of the
vehicles or objects you create.
Features
 - Soft-body physics. Objects according to their weight distribution,
	construction, and/or suspension (in the case of vehicles).
 - Advanced flight model based on blade element theory. It allows the accurate
	simulation of any airplane, based entirely on its physical dimensions and
	wing airfoils, similar to X-Plane.
 - Accurate buoyancy model based on elemental pressure gradients, enabling boats
	with complex hulls to move realistically in the swell.
 - Basic support for dual-core processing. More multithreading and CUDA support
	is planned.
 - Basic support for scripting using AngelScript.
 - Based on the OGRE Graphics Engine.

Fedora Account System Username: hubbitus

Please note it is not fully ready yet. Some dependencies follow.

Comment 1 Pavel Alexeev 2012-12-02 12:21:50 UTC
I think now, after resolve all listed dependencies its will be ready to review.

Comment 2 Pavel Alexeev 2015-05-19 18:54:55 UTC
Christopher do you plan move forward?

Comment 3 Pavel Alexeev 2015-12-07 13:28:47 UTC
Christopher ping?

Comment 4 Christopher Meng 2015-12-21 05:29:26 UTC
I felt so sorry on this ticket, as I couldn't find any spare time of doing the review thoroughly.

I've set back to empty status.

Comment 5 Pavel Alexeev 2016-01-07 20:52:23 UTC
Upstream informed about incorrect fsf address: https://github.com/RigsOfRods/rigs-of-rods/issues/538

Comment 6 Upstream Release Monitoring 2016-01-17 15:33:45 UTC
hubbitus's scratch build of rigsofrods-0.4.6.0-0.4.git.23c619a.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12586298

Comment 7 Upstream Release Monitoring 2016-01-17 16:02:25 UTC
hubbitus's scratch build of rigsofrods-0.4.6.0-0.4.git.23c619a.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12586406

Comment 8 Upstream Release Monitoring 2016-01-17 16:35:33 UTC
hubbitus's scratch build of rigsofrods-0.4.6.0-0.4.git.23c619a.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12586642

Comment 9 Upstream Release Monitoring 2016-01-17 18:22:51 UTC
hubbitus's scratch build of rigsofrods-0.4.6.0-0.4.git.23c619a.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12586904

Comment 10 Upstream Release Monitoring 2016-01-17 19:59:04 UTC
hubbitus's scratch build of rigsofrods-0.4.6.0-0.5.git.23c619a.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12587732

Comment 12 Upstream Release Monitoring 2016-01-24 12:03:11 UTC
hubbitus's scratch build of rigsofrods-0.4.6.0-0.6.git.3e56c07.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12667538

Comment 16 Robert-André Mauchin 2017-10-05 13:02:06 UTC
Hello,

 - Use this simplified Source:

Source0:       https://github.com/RigsOfRods/rigs-of-rods/archive/%{version}/%{name}-%{version}.tar.gz

 - COPYING should not be listed in %doc, but in %licensi:

%files
%doc AUTHORS.md BUILDING.md CONTRIBUTING.md DEPENDENCIES.md README.md
%license COPYING

 - There are several files with license other than GPLv3:

*No copyright* BSL
------------------
rigs-of-rods-0.4.7.0/source/main/utils/utf8/README.md

*No copyright* CC by (v2.5)
---------------------------
rigs-of-rods-0.4.7.0/bin/resources/famicons/readme.txt

  Please add them to the License: field and add a comment explaining which license cover which parts.


 - You should split the data in /usr/share in a -data noarch subpackage:

     Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 138373120 bytes in /usr/share
     rigsofrods-0.4.7.0-1.fc28.x86_64.rpm:138373120
     See:


 - Several files have an incorrect FSF address in the header. You should patch them with the updated address and notify upstream about it:

rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/CfgFileManager.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/CfgFileManager.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/DecalsManager.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/DecalsManager.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Enums.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Enums.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/FFT.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/FFT.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/GPUNormalMapManager.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/GPUNormalMapManager.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/GodRaysManager.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/GodRaysManager.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Help.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Help.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Hydrax.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Hydrax.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Image.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Image.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/MaterialManager.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/MaterialManager.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Mesh.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Mesh.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Module.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Module.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Noise.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Noise.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Perlin.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Perlin.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Prerequisites.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/PressurePoint.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/PressurePoint.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/ProjectedGrid.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/ProjectedGrid.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/RadialGrid.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/RadialGrid.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Real.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Real.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/RttManager.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/RttManager.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/SimpleGrid.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/SimpleGrid.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/TextureManager.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/TextureManager.h
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Wave.cpp
rigsofrods-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/rigsofrods-0.4.7.0-1.fc28.x86_64/source/main/gfx/hydrax/Wave.h

Comment 17 Pavel Alexeev 2017-10-29 22:50:32 UTC
Hello Robert-André Mauchin. Thank you for the taking care on it.

> - Use this simplified Source:
> Source0:       https://github.com/RigsOfRods/rigs-of-rods/archive/%{version}/%{name}-%{version}.tar.gz

Done

> - COPYING should not be listed in %doc, but in %licensi:
> %files
> %doc AUTHORS.md BUILDING.md CONTRIBUTING.md DEPENDENCIES.md README.md
> %license COPYING

Done

> - There are several files with license other than GPLv3:
> *No copyright* BSL
> ------------------
> rigs-of-rods-0.4.7.0/source/main/utils/utf8/README.md
> *No copyright* CC by (v2.5)
> ---------------------------
> rigs-of-rods-0.4.7.0/bin/resources/famicons/readme.txt
>   Please add them to the License: field and add a comment explaining which license cover which parts.

Done

> - You should split the data in /usr/share in a -data noarch subpackage:
>     Large data in /usr/share should live in a noarch subpackage if package is arched.
>     Note: Arch-ed rpms have a total of 138373120 bytes in /usr/share
>     rigsofrods-0.4.7.0-1.fc28.x86_64.rpm:138373120

Done

> - Several files have an incorrect FSF address in the header. You should patch them with the updated address and notify upstream about it:

Upstream informed about that long time ago - https://github.com/RigsOfRods/rigs-of-rods/issues/538 and it noted in changelog.

If you do not insist - I do not willing patch that separately from upstream.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22792831
Changes: https://github.com/Hubbitus/rpm-rigsofrods/commit/f15a8cffc68d8275a4df81b739f8eb9a2422bc6f
Spec: https://raw.githubusercontent.com/Hubbitus/rpm-rigsofrods/f15a8cffc68d8275a4df81b739f8eb9a2422bc6f/rigsofrods.spec
Srpm: http://rpm.hubbitus.info/Fedora26/rigsofrods/rigsofrods-0.4.7.0-2.fc28.src.rpm

Comment 18 Robert-André Mauchin 2017-10-30 12:32:35 UTC
 - This part should be in %build, not %prep:

# Additional flag: http://www.ogre3d.org/forums/viewtopic.php?f=2&t=71037
export CXXFLAGS="$RPM_OPT_FLAGS -lboost_system"

cmake \


 - rigsofrods-debuginfo.x86_64: W: invalid-license GPLv3 + CC-BY

License should be separated by "and", not +.

Comment 20 Robert-André Mauchin 2017-10-31 20:59:29 UTC
My message was maybe not clear, but the cmake part should be in %build too:

%build
# Additional flag: http://www.ogre3d.org/forums/viewtopic.php?f=2&t=71037
export CXXFLAGS="$RPM_OPT_FLAGS -lboost_system"
cmake \
  -DROR_USE_MYGUI="TRUE" \
  -DROR_USE_OPENAL="TRUE" \
  -DROR_USE_PAGED="TRUE" \
  -DROR_USE_CAELUM="TRUE" \
  -DROR_USE_ANGELSCRIPT="FALSE" \
  -DROR_USE_SOCKETW="TRUE" \
  -DSOCKETW_INCLUDE_DIRS:PATH="%{_includedir}/SocketW" \
  -DPAGED_INCLUDE_DIRS:PATH="%{_includedir}/OGRE" \
  -MYGUI_INCLUDE_DIRS:PATH="%{_includedir}/OGRE/Overlay" \
  -DPAGED_LIBRARY_DIRS:PATH="%{_libdir}/OGRE" \
  -DPAGED_LIBRARIES=%{_libdir}/OGRE/libPagedGeometry.so \
  -DCAELUM_LIBRARIES=%{_libdir}/OGRE/libCaelum.so \
  -DCMAKE_BUILD_TYPE=Debug \
  -DCMAKE_INSTALL_PREFIX=%{buildroot}%{_prefix} \
  \
  .
make %{?_smp_mflags}

Comment 22 Robert-André Mauchin 2017-11-02 14:13:01 UTC
*** the cmake part should be in %build too ***

%build
cmake \
  -DROR_USE_MYGUI="TRUE" \
  -DROR_USE_OPENAL="TRUE" \
  -DROR_USE_PAGED="TRUE" \
  -DROR_USE_CAELUM="TRUE" \
  -DROR_USE_ANGELSCRIPT="FALSE" \
  -DROR_USE_SOCKETW="TRUE" \
  -DSOCKETW_INCLUDE_DIRS:PATH="%{_includedir}/SocketW" \
  -DPAGED_INCLUDE_DIRS:PATH="%{_includedir}/OGRE" \
  -MYGUI_INCLUDE_DIRS:PATH="%{_includedir}/OGRE/Overlay" \
  -DPAGED_LIBRARY_DIRS:PATH="%{_libdir}/OGRE" \
  -DPAGED_LIBRARIES=%{_libdir}/OGRE/libPagedGeometry.so \
  -DCAELUM_LIBRARIES=%{_libdir}/OGRE/libCaelum.so \
  -DCMAKE_BUILD_TYPE=Debug \
  -DCMAKE_INSTALL_PREFIX=%{buildroot}%{_prefix} \
  \
  .
make %{?_smp_mflags}

Comment 24 Robert-André Mauchin 2017-11-02 22:34:57 UTC
All ok then, package accepted.

Comment 25 Pavel Alexeev 2017-11-06 10:50:12 UTC
Robert-André Mauchin thank you very much for the review. Do you want I review something from your packages?


New repository https://pagure.io/releng/fedora-scm-requests/issue/2670 and branch https://pagure.io/releng/fedora-scm-requests/issue/2671 requested.

Comment 26 Igor Gnatenko 2017-11-06 10:52:16 UTC
(In reply to Pavel Alexeev from comment #25)
> Robert-André Mauchin thank you very much for the review. Do you want I
> review something from your packages?
> 
> 
> New repository https://pagure.io/releng/fedora-scm-requests/issue/2670 and
> branch https://pagure.io/releng/fedora-scm-requests/issue/2671 requested.

Your forgot to request F27 branch ;)

Comment 27 Gwyn Ciesla 2017-11-06 15:11:02 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rigsofrods

Comment 28 Pavel Alexeev 2017-11-06 15:30:48 UTC
Thanks Gwyn Ciesla and Igor Gnatenko 27 requested too https://pagure.io/releng/fedora-scm-requests/issue/2694

Comment 29 Fedora Update System 2017-11-06 18:03:54 UTC
rigsofrods-0.4.7.0-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-88134e0452

Comment 30 Fedora Update System 2017-11-06 21:16:11 UTC
rigsofrods-0.4.7.0-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-88134e0452

Comment 31 Fedora Update System 2017-11-07 00:12:52 UTC
rigsofrods-0.4.7.0-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e66322c282

Comment 32 Fedora Update System 2017-11-28 00:48:05 UTC
rigsofrods-0.4.7.0-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2017-12-03 17:37:47 UTC
rigsofrods-0.4.7.0-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.